<?php
/* Autor...:  */
/* Esquema.: SEG_Tarea.xml */
/* Generado: 2020-08-18 04:21:30 */

/* Metodos de acceso a los campos de la tabla SEG_Tarea */
abstract class BaseSEG_TareaBN
{
    /* Campos de la tabla */
    private $s_IdTarea;    // IdTarea: ( no definido )
    private $s_TareaDescripcion;    // TareaDescripcion: ( no definido )
    private $s_BotonTexto;    // BotonTexto: ( no definido )
    private $s_TareaTipo;    // TareaTipo: ( no definido )
    private $s_ScriptId;    // ScriptId: ( no definido )
    private $s_DeshabilitadoFlg;    // DeshabilitadoFlg: ( no definido )
    private $s_IdPatron;    // IdPatron: ( no definido )
    private $s_IdSubSistema;    // IdSubSistema: ( no definido )
    private $s_InicialPassthru;    // InicialPassthru: ( no definido )
    private $s_SeleccionFixed;    // SeleccionFixed: ( no definido )
    private $s_SeleccionTemp;    // SeleccionTemp: ( no definido )
    private $s_Settings;    // Settings: ( no definido )
    private $s_OrdenarPor;    // OrdenarPor: ( no definido )
    private $s_MantenerDatos;    // MantenerDatos: ( no definido )
    private $s_LogSqlQuery;    // LogSqlQuery: ( no definido )
    private $i_ScreenRefresh;    // ScreenRefresh: ( no definido )
    private $s_UsaHttps;    // UsaHttps: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdTarea */
    public function setIdTarea( $s_IdTarea )
    {
        $this->s_IdTarea = $s_IdTarea;
    }

    /* Obtiene el valor del campo IdTarea */
    public function getIdTarea()
    {
        return $this->s_IdTarea;
    }

    /* Establece el valor del campo TareaDescripcion */
    public function setTareaDescripcion( $s_TareaDescripcion )
    {
        $this->s_TareaDescripcion = $s_TareaDescripcion;
    }

    /* Obtiene el valor del campo TareaDescripcion */
    public function getTareaDescripcion()
    {
        return $this->s_TareaDescripcion;
    }

    /* Establece el valor del campo BotonTexto */
    public function setBotonTexto( $s_BotonTexto )
    {
        $this->s_BotonTexto = $s_BotonTexto;
    }

    /* Obtiene el valor del campo BotonTexto */
    public function getBotonTexto()
    {
        return $this->s_BotonTexto;
    }

    /* Establece el valor del campo TareaTipo */
    public function setTareaTipo( $s_TareaTipo )
    {
        $this->s_TareaTipo = $s_TareaTipo;
    }

    /* Obtiene el valor del campo TareaTipo */
    public function getTareaTipo()
    {
        return $this->s_TareaTipo;
    }

    /* Establece el valor del campo ScriptId */
    public function setScriptId( $s_ScriptId )
    {
        $this->s_ScriptId = $s_ScriptId;
    }

    /* Obtiene el valor del campo ScriptId */
    public function getScriptId()
    {
        return $this->s_ScriptId;
    }

    /* Establece el valor del campo DeshabilitadoFlg */
    public function setDeshabilitadoFlg( $s_DeshabilitadoFlg )
    {
        $this->s_DeshabilitadoFlg = $s_DeshabilitadoFlg;
    }

    /* Obtiene el valor del campo DeshabilitadoFlg */
    public function getDeshabilitadoFlg()
    {
        return $this->s_DeshabilitadoFlg;
    }

    /* Establece el valor del campo IdPatron */
    public function setIdPatron( $s_IdPatron )
    {
        $this->s_IdPatron = $s_IdPatron;
    }

    /* Obtiene el valor del campo IdPatron */
    public function getIdPatron()
    {
        return $this->s_IdPatron;
    }

    /* Establece el valor del campo IdSubSistema */
    public function setIdSubSistema( $s_IdSubSistema )
    {
        $this->s_IdSubSistema = $s_IdSubSistema;
    }

    /* Obtiene el valor del campo IdSubSistema */
    public function getIdSubSistema()
    {
        return $this->s_IdSubSistema;
    }

    /* Establece el valor del campo InicialPassthru */
    public function setInicialPassthru( $s_InicialPassthru )
    {
        $this->s_InicialPassthru = $s_InicialPassthru;
    }

    /* Obtiene el valor del campo InicialPassthru */
    public function getInicialPassthru()
    {
        return $this->s_InicialPassthru;
    }

    /* Establece el valor del campo SeleccionFixed */
    public function setSeleccionFixed( $s_SeleccionFixed )
    {
        $this->s_SeleccionFixed = $s_SeleccionFixed;
    }

    /* Obtiene el valor del campo SeleccionFixed */
    public function getSeleccionFixed()
    {
        return $this->s_SeleccionFixed;
    }

    /* Establece el valor del campo SeleccionTemp */
    public function setSeleccionTemp( $s_SeleccionTemp )
    {
        $this->s_SeleccionTemp = $s_SeleccionTemp;
    }

    /* Obtiene el valor del campo SeleccionTemp */
    public function getSeleccionTemp()
    {
        return $this->s_SeleccionTemp;
    }

    /* Establece el valor del campo Settings */
    public function setSettings( $s_Settings )
    {
        $this->s_Settings = $s_Settings;
    }

    /* Obtiene el valor del campo Settings */
    public function getSettings()
    {
        return $this->s_Settings;
    }

    /* Establece el valor del campo OrdenarPor */
    public function setOrdenarPor( $s_OrdenarPor )
    {
        $this->s_OrdenarPor = $s_OrdenarPor;
    }

    /* Obtiene el valor del campo OrdenarPor */
    public function getOrdenarPor()
    {
        return $this->s_OrdenarPor;
    }

    /* Establece el valor del campo MantenerDatos */
    public function setMantenerDatos( $s_MantenerDatos )
    {
        $this->s_MantenerDatos = $s_MantenerDatos;
    }

    /* Obtiene el valor del campo MantenerDatos */
    public function getMantenerDatos()
    {
        return $this->s_MantenerDatos;
    }

    /* Establece el valor del campo LogSqlQuery */
    public function setLogSqlQuery( $s_LogSqlQuery )
    {
        $this->s_LogSqlQuery = $s_LogSqlQuery;
    }

    /* Obtiene el valor del campo LogSqlQuery */
    public function getLogSqlQuery()
    {
        return $this->s_LogSqlQuery;
    }

    /* Establece el valor del campo ScreenRefresh */
    public function setScreenRefresh( $i_ScreenRefresh )
    {
        $this->i_ScreenRefresh = $i_ScreenRefresh;
    }

    /* Obtiene el valor del campo ScreenRefresh */
    public function getScreenRefresh()
    {
        return $this->i_ScreenRefresh;
    }

    /* Establece el valor del campo UsaHttps */
    public function setUsaHttps( $s_UsaHttps )
    {
        $this->s_UsaHttps = $s_UsaHttps;
    }

    /* Obtiene el valor del campo UsaHttps */
    public function getUsaHttps()
    {
        return $this->s_UsaHttps;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdTarea' => $this->getIdTarea(),
            'TareaDescripcion' => $this->getTareaDescripcion(),
            'BotonTexto' => $this->getBotonTexto(),
            'TareaTipo' => $this->getTareaTipo(),
            'ScriptId' => $this->getScriptId(),
            'DeshabilitadoFlg' => $this->getDeshabilitadoFlg(),
            'IdPatron' => $this->getIdPatron(),
            'IdSubSistema' => $this->getIdSubSistema(),
            'InicialPassthru' => $this->getInicialPassthru(),
            'SeleccionFixed' => $this->getSeleccionFixed(),
            'SeleccionTemp' => $this->getSeleccionTemp(),
            'Settings' => $this->getSettings(),
            'OrdenarPor' => $this->getOrdenarPor(),
            'MantenerDatos' => $this->getMantenerDatos(),
            'LogSqlQuery' => $this->getLogSqlQuery(),
            'ScreenRefresh' => $this->getScreenRefresh(),
            'UsaHttps' => $this->getUsaHttps(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto SEG_TareaBN desde un RecordSet */
    public static function retrieveByRs( $o_SEG_TareaRs )
    {
        $o_SEG_TareaBN = new SEG_TareaBN();
        $o_SEG_TareaBN->setIdTarea( $o_SEG_TareaRs[ "IdTarea" ] );
        $o_SEG_TareaBN->setTareaDescripcion( $o_SEG_TareaRs[ "TareaDescripcion" ] );
        $o_SEG_TareaBN->setBotonTexto( $o_SEG_TareaRs[ "BotonTexto" ] );
        $o_SEG_TareaBN->setTareaTipo( $o_SEG_TareaRs[ "TareaTipo" ] );
        $o_SEG_TareaBN->setScriptId( $o_SEG_TareaRs[ "ScriptId" ] );
        $o_SEG_TareaBN->setDeshabilitadoFlg( $o_SEG_TareaRs[ "DeshabilitadoFlg" ] );
        $o_SEG_TareaBN->setIdPatron( $o_SEG_TareaRs[ "IdPatron" ] );
        $o_SEG_TareaBN->setIdSubSistema( $o_SEG_TareaRs[ "IdSubSistema" ] );
        $o_SEG_TareaBN->setInicialPassthru( $o_SEG_TareaRs[ "InicialPassthru" ] );
        $o_SEG_TareaBN->setSeleccionFixed( $o_SEG_TareaRs[ "SeleccionFixed" ] );
        $o_SEG_TareaBN->setSeleccionTemp( $o_SEG_TareaRs[ "SeleccionTemp" ] );
        $o_SEG_TareaBN->setSettings( $o_SEG_TareaRs[ "Settings" ] );
        $o_SEG_TareaBN->setOrdenarPor( $o_SEG_TareaRs[ "OrdenarPor" ] );
        $o_SEG_TareaBN->setMantenerDatos( $o_SEG_TareaRs[ "MantenerDatos" ] );
        $o_SEG_TareaBN->setLogSqlQuery( $o_SEG_TareaRs[ "LogSqlQuery" ] );
        $o_SEG_TareaBN->setScreenRefresh( ( integer ) $o_SEG_TareaRs[ "ScreenRefresh" ] );
        $o_SEG_TareaBN->setUsaHttps( $o_SEG_TareaRs[ "UsaHttps" ] );
        $o_SEG_TareaBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_SEG_TareaRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_SEG_TareaBN->setUsuarioCreacion( $o_SEG_TareaRs[ "UsuarioCreacion" ] );
        $o_SEG_TareaBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_SEG_TareaRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_SEG_TareaBN->setUsuarioModificacion( $o_SEG_TareaRs[ "UsuarioModificacion" ] );
        return $o_SEG_TareaBN;
    }
}
?>